# Get Order (Single Order)

Retrieves details for single order that has been submitted

Endpoint: GET /api/orders/{order_id}
Version: 1.3
Security: sec0

## Security:

  - `sec0` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `order_id` (string, required)
    The id of the order to get

## Query parameters:

  - `fx_currency` (string)
    If this value is passed then an additional object requested_fx is added to the response which contains the fiat_amount converted to this currency.

## Header parameters:

  - `Accept` (string)

  - `X-Request-Id` (string)
    This is the correlation ID related to the request.

## Response 200:

  - `200` (unknown)
    200

## Response 200 fields (application/json):

  - `data` (object)

  - `data.order` (object)

  - `data.order.id` (string)
    Example: 7f954c2eaea52db2d7e57d839620a764

  - `data.order.account_id` (string)
    Example: 564d914ba50d51d67095817f1559e0a7

  - `data.order.account_reference` (string)
    Example: 098f6bcd4621d373cade4e832627b4f6

  - `data.order.order_type` (string)
    Example: CRYPTO-BUY

  - `data.order.payment_type` (string)
    Example: POLI

  - `data.order.ref` (integer)
    Example: 1

  - `data.order.fiat_code` (string)
    Example: AUD

  - `data.order.fiat_amount` (integer)
    Example: 200

  - `data.order.coin_code` (string)
    Example: BTC

  - `data.order.coin_amount` (number)
    Example: 0.015

  - `data.order.wallet_address` (string)
    Example: 1LbQ1WNTsm1Nzj1hbh3WDCbEim1oUg5rfi

  - `data.order.blockchain` (object)

  - `data.order.blockchain.code` (string)
    Example: BTC

  - `data.order.blockchain.description` (string)
    Example: Bitcoin

  - `data.order.blockchain.contract_id` (any)

  - `data.order.blockchain.network_id` (any)

  - `data.order.fee` (number)
    Example: 4.3

  - `data.order.payment_fee` (integer)
    Example: 0

  - `data.order.commission` (number)
    Example: 0.03

  - `data.order.tx_hash` (string)
    Example: 323bf75d66fd5a4fe8c903f950d81c5f0170bacd0f872cde8f4f3d6e7c94db35

  - `data.order.created_at` (string)
    Example: 2020-06-01 00:20:51

  - `data.order.status` (string)
    Example: complete

  - `data.order.meta_data` (string)
    Example: {'tracking_id': 'HSKJDGHKSJG0393LJKJF'}

## Response 200 examples:

  - `Result` (unknown)

  - `With Promotion` (unknown)

